## xtrkcad 5.1.1

=== CMakeLists.txt ===
PROJECT(XTrkCAD)
enable_testing()
cmake_minimum_required(VERSION 2.8)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked

# additional CMake modules can be found here
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/CMake")

# Setup high-level build options ...
if(UNIX)
    include(FindPkgConfig)
    set(XTRKCAD_USE_GTK_DEFAULT ON)
    if(APPLE)
	SET(XTRKCAD_USE_GETTEXT_DEFAULT OFF)
    else()
	set(XTRKCAD_USE_GETTEXT_DEFAULT ON)
    add_compile_options("-std=gnu99")
	PKG_CHECK_MODULES(GTK_WEBKIT "webkit-1.0")
        if(GTK_WEBKIT_FOUND)
            set(XTRKCAD_USE_BROWSER_DEFAULT OFF)
        else()
            set(XTRKCAD_USE_BROWSER_DEFAULT ON)
        endif()
    endif(APPLE)
endif(UNIX)

IF(WIN32)
	SET(XTRKCAD_USE_GTK_DEFAULT OFF)
	SET(XTRKCAD_USE_GETTEXT_DEFAULT ON)

	SET(CMAKE_C_FLAGS_DEBUG "/D_DEBUG /MTd /Zi  /Ob0 /Od /RTC1" CACHE STRING "Flags used by the compiler during debug builds" FORCE)
	SET(CMAKE_C_FLAGS_MINSIZEREL "/MT /O1 /Ob1 /D NDEBUG" CACHE STRING "Flags used by the compiler during release minumum size builds" FORCE)
	SET(CMAKE_C_FLAGS_RELEASE "/MT /O2 /Ob2 /D NDEBUG" CACHE STRING "Flags used by the compiler during release builds" FORCE)
	SET(CMAKE_C_FLAGS_RELWITHDEBINFO "/MT /Zi /O2 /Ob1 /D NDEBUG" CACHE STRING "Flags used by the compiler during release with debug info builds" FORCE)

	ADD_DEFINITIONS(-DWINDOWS)
	ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS)
ENDIF(WIN32)

if(COMMAND cmake_policy)
    cmake_policy(SET CMP0003 NEW)
    if( POLICY CMP0026 )
	cmake_policy(SET CMP0026 OLD)
    endif( POLICY CMP0026 )
endif(COMMAND cmake_policy)

SET(XTRKCAD_USE_DOXYGEN_DEFAULT OFF)

OPTION(XTRKCAD_USE_GTK "Use GTK for the graphical user interface back-end" ${XTRKCAD_USE_GTK_DEFAULT})
OPTION(XTRKCAD_USE_GETTEXT "Use gettext for internationalization" ${XTRKCAD_USE_GETTEXT_DEFAULT})
OPTION(XTRKCAD_USE_DOXYGEN "Generate internals documentation using doxygen" ${XTRKCAD_USE_DOXYGEN_DEFAULT})
if(UNIX AND NOT APPLE)
    option(XTRKCAD_USE_BROWSER "Show help in default browser" ${XTRKCAD_USE_BROWSER_DEFAULT})
endif()

IF(UNIX)
    PKG_CHECK_MODULES(GTK REQUIRED "gtk+-2.0")
ENDIF()

IF(APPLE)
	OPTION(XTRKCAD_USE_PACKAGEMAKER "Generate an OSX PackageMaker package for distribution." OFF)
ENDIF(APPLE)

# Hide the advanced stuff ...
MARK_AS_ADVANCED(CMAKE_BACKWARDS_COMPATIBILITY)
MARK_AS_ADVANCED(CMAKE_EXECUTABLE_FORMAT)
MARK_AS_ADVANCED(CMAKE_OSX_ARCHITECTURES)
MARK_AS_ADVANCED(CMAKE_OSX_SYSROOT)
MARK_AS_ADVANCED(CMAKE_USE_CHRPATH)
MARK_AS_ADVANCED(EXECUTABLE_OUTPUT_PATH)
MARK_AS_ADVANCED(LIBRARY_OUTPUT_PATH)

# Test for dependencies ...
IF(WIN32 AND NOT XTRKCAD_USE_GTK)
	FIND_PACKAGE(HTMLHelp REQUIRED)
ENDIF(WIN32 AND NOT XTRKCAD_USE_GTK)

IF(XTRKCAD_USE_PACKAGEMAKER)
	IF(NOT CMAKE_INSTALL_PREFIX STREQUAL "/usr")
		MESSAGE(SEND_ERROR "XTRKCAD_USE_PACKAGEMAKER requires CMAKE_INSTALL_PREFIX set to /usr.")
	ENDIF(NOT CMAKE_INSTALL_PREFIX STREQUAL "/usr")
ENDIF(XTRKCAD_USE_PACKAGEMAKER)

# Find unit testing framework
find_package(CMocka)
if(CMOCKA_FOUND)
  include_directories(${CMOCKA_INCLUDE_DIR})
  set(LIBS ${LIBS} ${CMOCKA_LIBRARIES})
  option( XTRKCAD_TESTING "Build unittests" ON)
endif()

# Find document conversion tool
find_package(Pandoc)

# Test for headers and libraries for portability ...

INCLUDE (CheckIncludeFiles)
CHECK_INCLUDE_FILES (malloc.h HAVE_MALLOC_H)

# Setup some global options for installation ...
SET(XTRKCAD_MAJOR_VERSION "5")
SET(XTRKCAD_MINOR_VERSION "1")
SET(XTRKCAD_RELEASE_VERSION "1")
SET(XTRKCAD_VERSION_MODIFIER "")
SET(XTRKCAD_VERSION "${XTRKCAD_MAJOR_VERSION}.${XTRKCAD_MINOR_VERSION}.${XTRKCAD_RELEASE_VERSION}${XTRKCAD_VERSION_MODIFIER}")

IF(WIN32)
	SET( CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX} ${XTRKCAD_VERSION}" )
ENDIF(WIN32)
SET(XTRKCAD_BIN_INSTALL_DIR "bin")
SET(XTRKCAD_LOCALE_INSTALL_DIR "share/locale")
SET(XTRKCAD_PACKAGE "xtrkcad")
SET(XTRKCAD_SHARE_INSTALL_DIR "share/xtrkcad")

# Enable use of a configuration file ...
ADD_DEFINITIONS(-DXTRKCAD_CMAKE_BUILD)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/xtrkcad-config.h.in ${CMAKE_CURRENT_BINARY_DIR}/xtrkcad-config.h)

IF(XTRKCAD_USE_GETTEXT)
	SET(GENHELP_OPTS "-bhi")
	#
	# Find the GnuWin32 installation directory, the gettext include should be located in subdir include
	#
	IF(WIN32)
		if(MSVC)
			# use supplied gettext library for Visual Studio
			message( STATUS "Use simple_gettext module included with XTrackCAD" )
			ADD_DEFINITIONS(-DUSE_SIMPLE_GETTEXT )
		else()
			# for mingw & co. find libintl.h and use it
			find_path ( INTL_PATH libintl.h )
			if(INTL_PATH)
				message( STATUS "Use installed gettext module" )
				INCLUDE_DIRECTORIES(${INTL_PATH})
			endif(INTL_PATH)
		endif()
	ENDIF(WIN32)
ELSE(XTRKCAD_USE_GETTEXT)
	SET(GENHELP_OPTS "-bh")
ENDIF(XTRKCAD_USE_GETTEXT)

# Setup the rest of the build ...
ADD_SUBDIRECTORY(app)
ADD_SUBDIRECTORY(distribution)
ADD_SUBDIRECTORY(docs)

=== app/CMakeLists.txt ===
# "bin/i18n.h" is widely used
INCLUDE_DIRECTORIES(bin)
include_directories(dynstring)
include_directories(cornu)

# Setup the rest of the build ...
add_subdirectory(dynstring)
ADD_SUBDIRECTORY(wlib)
ADD_SUBDIRECTORY(tools)
ADD_SUBDIRECTORY(help)
ADD_SUBDIRECTORY(doc)
ADD_SUBDIRECTORY(bin)
ADD_SUBDIRECTORY(lib)
ADD_SUBDIRECTORY(cornu)

IF(XTRKCAD_USE_GETTEXT)
	ADD_SUBDIRECTORY(i18n)
ENDIF(XTRKCAD_USE_GETTEXT)

=== app/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.6

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/martin/XTrackCAD/src/work

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/martin/XTrackCAD/src/work

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip

.PHONY : install/strip/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test

.PHONY : test/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/martin/XTrackCAD/src/work && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/martin/XTrackCAD/src/work/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/martin/XTrackCAD/src/work && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local

.PHONY : install/local/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/martin/XTrackCAD/src/work && $(CMAKE_COMMAND) -E cmake_progress_start /home/martin/XTrackCAD/src/work/CMakeFiles /home/martin/XTrackCAD/src/work/app/CMakeFiles/progress.marks
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 app/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/martin/XTrackCAD/src/work/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 app/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 app/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 app/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/martin/XTrackCAD/src/work && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install/strip"
	@echo "... test"
	@echo "... package_source"
	@echo "... package"
	@echo "... install/local"
	@echo "... install"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/martin/XTrackCAD/src/work && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== distribution/CMakeLists.txt ===
# Setup global packaging parameters ...
SET(CPACK_PACKAGE_DESCRIPTION "XTrackCad is a CAD program for designing model railroad layouts.")
SET(CPACK_PACKAGE_EXECUTABLES "xtrkcad;XTrkCAD ${XTRKCAD_VERSION}")
SET(CPACK_PACKAGE_FILE_NAME "xtrkcad-setup-${XTRKCAD_VERSION}")
SET(CPACK_PACKAGE_INSTALL_DIRECTORY "XTrkCAD ${XTRKCAD_VERSION}")
SET(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "XTrkCAD ${XTRKCAD_VERSION}")
SET(CPACK_PACKAGE_NAME "xtrkcad")
SET(CPACK_PACKAGE_VENDOR "http://www.xtrkcad.org")
SET(CPACK_PACKAGE_VERSION ${XTRKCAD_VERSION})
SET(CPACK_PACKAGE_VERSION_MAJOR ${XTRKCAD_MAJOR_VERSION})
SET(CPACK_PACKAGE_VERSION_MINOR ${XTRKCAD_MINOR_VERSION})
SET(CPACK_PACKAGE_VERSION_PATCH ${XTRKCAD_RELEASE_VERSION})
SET(CPACK_RESOURCE_FILE_LICENSE "${XTrkCAD_SOURCE_DIR}/app/COPYING")
SET(CPACK_SOURCE_GENERATOR "ZIP;TGZ")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "xtrkcad-source-${XTRKCAD_VERSION}")

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/downloadpage.wiki.in ${CMAKE_BINARY_DIR}/downloadpage.wiki)

# Setup platform-specific packaging ...
IF(APPLE)
	ADD_SUBDIRECTORY(osx)
ENDIF(APPLE)

IF(UNIX AND NOT APPLE)
	ADD_SUBDIRECTORY(posix)
ENDIF(UNIX AND NOT APPLE)

IF(WIN32)
	ADD_SUBDIRECTORY(win32)
ENDIF(WIN32)

=== distribution/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.6

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/martin/XTrackCAD/src/work

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/martin/XTrackCAD/src/work

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip

.PHONY : install/strip/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test

.PHONY : test/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/martin/XTrackCAD/src/work && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/martin/XTrackCAD/src/work/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/martin/XTrackCAD/src/work && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local

.PHONY : install/local/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/martin/XTrackCAD/src/work && $(CMAKE_COMMAND) -E cmake_progress_start /home/martin/XTrackCAD/src/work/CMakeFiles /home/martin/XTrackCAD/src/work/distribution/CMakeFiles/progress.marks
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 distribution/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/martin/XTrackCAD/src/work/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 distribution/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 distribution/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 distribution/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/martin/XTrackCAD/src/work && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install/strip"
	@echo "... test"
	@echo "... package_source"
	@echo "... package"
	@echo "... install/local"
	@echo "... install"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/martin/XTrackCAD/src/work && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== docs/CMakeLists.txt ===
IF(XTRKCAD_USE_DOXYGEN)
  ADD_SUBDIRECTORY(doxygen)
ENDIF(XTRKCAD_USE_DOXYGEN)

=== docs/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.6

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/martin/XTrackCAD/src/work

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/martin/XTrackCAD/src/work

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip

.PHONY : install/strip/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test

.PHONY : test/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/martin/XTrackCAD/src/work && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/martin/XTrackCAD/src/work/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/martin/XTrackCAD/src/work && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local

.PHONY : install/local/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/martin/XTrackCAD/src/work && $(CMAKE_COMMAND) -E cmake_progress_start /home/martin/XTrackCAD/src/work/CMakeFiles /home/martin/XTrackCAD/src/work/docs/CMakeFiles/progress.marks
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 docs/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/martin/XTrackCAD/src/work/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 docs/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 docs/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 docs/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/martin/XTrackCAD/src/work && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install/strip"
	@echo "... test"
	@echo "... package_source"
	@echo "... package"
	@echo "... install/local"
	@echo "... install"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/martin/XTrackCAD/src/work && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== app/bin/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.6

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/martin/XTrackCAD/src/work

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/martin/XTrackCAD/src/work

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test

.PHONY : test/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/martin/XTrackCAD/src/work && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local

.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip

.PHONY : install/strip/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/martin/XTrackCAD/src/work && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/martin/XTrackCAD/src/work/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# The main all target
all: cmake_check_build_system
	cd /home/martin/XTrackCAD/src/work && $(CMAKE_COMMAND) -E cmake_progress_start /home/martin/XTrackCAD/src/work/CMakeFiles /home/martin/XTrackCAD/src/work/app/bin/CMakeFiles/progress.marks
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 app/bin/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/martin/XTrackCAD/src/work/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 app/bin/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 app/bin/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 app/bin/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/martin/XTrackCAD/src/work && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
app/bin/CMakeFiles/xtrkcad.dir/rule:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 app/bin/CMakeFiles/xtrkcad.dir/rule
.PHONY : app/bin/CMakeFiles/xtrkcad.dir/rule

# Convenience name for target.
xtrkcad: app/bin/CMakeFiles/xtrkcad.dir/rule

.PHONY : xtrkcad

# fast build rule for target.
xtrkcad/fast:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/bin/CMakeFiles/xtrkcad.dir/build.make app/bin/CMakeFiles/xtrkcad.dir/build
.PHONY : xtrkcad/fast

# Convenience name for target.
app/bin/CMakeFiles/xtrkcad-lib.dir/rule:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 app/bin/CMakeFiles/xtrkcad-lib.dir/rule
.PHONY : app/bin/CMakeFiles/xtrkcad-lib.dir/rule

# Convenience name for target.
xtrkcad-lib: app/bin/CMakeFiles/xtrkcad-lib.dir/rule

.PHONY : xtrkcad-lib

# fast build rule for target.
xtrkcad-lib/fast:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/bin/CMakeFiles/xtrkcad-lib.dir/build.make app/bin/CMakeFiles/xtrkcad-lib.dir/build
.PHONY : xtrkcad-lib/fast

# Convenience name for target.
app/bin/CMakeFiles/mkturnout.dir/rule:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 app/bin/CMakeFiles/mkturnout.dir/rule
.PHONY : app/bin/CMakeFiles/mkturnout.dir/rule

# Convenience name for target.
mkturnout: app/bin/CMakeFiles/mkturnout.dir/rule

.PHONY : mkturnout

# fast build rule for target.
mkturnout/fast:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/bin/CMakeFiles/mkturnout.dir/build.make app/bin/CMakeFiles/mkturnout.dir/build
.PHONY : mkturnout/fast

# Convenience name for target.
app/bin/CMakeFiles/cnvdsgn.dir/rule:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 app/bin/CMakeFiles/cnvdsgn.dir/rule
.PHONY : app/bin/CMakeFiles/cnvdsgn.dir/rule

# Convenience name for target.
cnvdsgn: app/bin/CMakeFiles/cnvdsgn.dir/rule

.PHONY : cnvdsgn

# fast build rule for target.
cnvdsgn/fast:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/bin/CMakeFiles/cnvdsgn.dir/build.make app/bin/CMakeFiles/cnvdsgn.dir/build
.PHONY : cnvdsgn/fast

appdefaults.o: appdefaults.c.o

.PHONY : appdefaults.o

# target to build an object file
appdefaults.c.o:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/bin/CMakeFiles/xtrkcad-lib.dir/build.make app/bin/CMakeFiles/xtrkcad-lib.dir/appdefaults.c.o
.PHONY : appdefaults.c.o

appdefaults.i: appdefaults.c.i

.PHONY : appdefaults.i

# target to preprocess a source file
appdefaults.c.i:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/bin/CMakeFiles/xtrkcad-lib.dir/build.make app/bin/CMakeFiles/xtrkcad-lib.dir/appdefaults.c.i
.PHONY : appdefaults.c.i

appdefaults.s: appdefaults.c.s

.PHONY : appdefaults.s

# target to generate assembly for a file
appdefaults.c.s:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/bin/CMakeFiles/xtrkcad-lib.dir/build.make app/bin/CMakeFiles/xtrkcad-lib.dir/appdefaults.c.s
.PHONY : appdefaults.c.s

bllnhlp.o: bllnhlp.c.o

.PHONY : bllnhlp.o

# target to build an object file
bllnhlp.c.o:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/bin/CMakeFiles/xtrkcad-lib.dir/build.make app/bin/CMakeFiles/xtrkcad-lib.dir/bllnhlp.c.o
.PHONY : bllnhlp.c.o

bllnhlp.i: bllnhlp.c.i

.PHONY : bllnhlp.i

# target to preprocess a source file
bllnhlp.c.i:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/bin/CMakeFiles/xtrkcad-lib.dir/build.make app/bin/CMakeFiles/xtrkcad-lib.dir/bllnhlp.c.i
.PHONY : bllnhlp.c.i

bllnhlp.s: bllnhlp.c.s

.PHONY : bllnhlp.s

# target to generate assembly for a file
bllnhlp.c.s:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/bin/CMakeFiles/xtrkcad-lib.dir/build.make app/bin/CMakeFiles/xtrkcad-lib.dir/bllnhlp.c.s
.PHONY : bllnhlp.c.s

cbezier.o: cbezier.c.o

.PHONY : cbezier.o

# target to build an object file
cbezier.c.o:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/bin/CMakeFiles/xtrkcad-lib.dir/build.make app/bin/CMakeFiles/xtrkcad-lib.dir/cbezier.c.o
.PHONY : cbezier.c.o

cbezier.i: cbezier.c.i

.PHONY : cbezier.i

# target to preprocess a source file
cbezier.c.i:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/bin/CMakeFiles/xtrkcad-lib.dir/build.make app/bin/CMakeFiles/xtrkcad-lib.dir/cbezier.c.i
.PHONY : cbezier.c.i

cbezier.s: cbezier.c.s

.PHONY : cbezier.s

# target to generate assembly for a file
cbezier.c.s:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/bin/CMakeFiles/xtrkcad-lib.dir/build.make app/bin/CMakeFiles/xtrkcad-lib.dir/cbezier.c.s
.PHONY : cbezier.c.s

cblock.o: cblock.c.o

.PHONY : cblock.o

# target to build an object file
cblock.c.o:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/bin/CMakeFiles/xtrkcad-lib.dir/build.make app/bin/CMakeFiles/xtrkcad-lib.dir/cblock.c.o
.PHONY : cblock.c.o

cblock.i: cblock.c.i

.PHONY : cblock.i

# target to preprocess a source file
cblock.c.i:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/bin/CMakeFiles/xtrkcad-lib.dir/build.make app/bin/CMakeFiles/xtrkcad-lib.dir/cblock.c.i
.PHONY : cblock.c.i

cblock.s: cblock.c.s

.PHONY : cblock.s

# target to generate assembly for a file
cblock.c.s:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/bin/CMakeFiles/xtrkcad-lib.dir/build.make app/bin/CMakeFiles/xtrkcad-lib.dir/cblock.c.s
.PHONY : cblock.c.s

ccontrol.o: ccontrol.c.o

.PHONY : ccontrol.o

# target to build an object file
ccontrol.c.o:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/bin/CMakeFiles/xtrkcad-lib.dir/build.make app/bin/CMakeFiles/xtrkcad-lib.dir/ccontrol.c.o
.PHONY : ccontrol.c.o

ccontrol.i: ccontrol.c.i

.PHONY : ccontrol.i

# target to preprocess a source file
ccontrol.c.i:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/bin/CMakeFiles/xtrkcad-lib.dir/build.make app/bin/CMakeFiles/xtrkcad-lib.dir/ccontrol.c.i
.PHONY : ccontrol.c.i

ccontrol.s: ccontrol.c.s

.PHONY : ccontrol.s

# target to generate assembly for a file
ccontrol.c.s:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/bin/CMakeFiles/xtrkcad-lib.dir/build.make app/bin/CMakeFiles/xtrkcad-lib.dir/ccontrol.c.s
.PHONY : ccontrol.c.s

ccornu.o: ccornu.c.o

.PHONY : ccornu.o

# target to build an object file
ccornu.c.o:

=== app/cornu/CMakeLists.txt ===
PROJECT(cornu)

FILE(GLOB HEADERS *.h)

SET(SOURCES
	bezctx.c
	bezctx_xtrkcad.c
	spiroentrypoints.c
	spiro.c
	)
	
SET(HEADERS 
	spiro.h
	)


INCLUDE_DIRECTORIES(${XTrkCAD_BINARY_DIR})
INCLUDE_DIRECTORIES(${XTrkCAD_SOURCE_DIR})
INCLUDE_DIRECTORIES(${wlib_SOURCE_DIR}/include)
INCLUDE_DIRECTORIES(${help_BINARY_DIR})

ADD_LIBRARY(xtrkcad-cornu ${HEADERS} ${SOURCES})

=== app/cornu/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.6

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/martin/XTrackCAD/src/work

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/martin/XTrackCAD/src/work

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip

.PHONY : install/strip/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test

.PHONY : test/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/martin/XTrackCAD/src/work && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/martin/XTrackCAD/src/work/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/martin/XTrackCAD/src/work && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local

.PHONY : install/local/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# The main all target
all: cmake_check_build_system
	cd /home/martin/XTrackCAD/src/work && $(CMAKE_COMMAND) -E cmake_progress_start /home/martin/XTrackCAD/src/work/CMakeFiles /home/martin/XTrackCAD/src/work/app/cornu/CMakeFiles/progress.marks
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 app/cornu/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/martin/XTrackCAD/src/work/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 app/cornu/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 app/cornu/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 app/cornu/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/martin/XTrackCAD/src/work && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
app/cornu/CMakeFiles/xtrkcad-cornu.dir/rule:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 app/cornu/CMakeFiles/xtrkcad-cornu.dir/rule
.PHONY : app/cornu/CMakeFiles/xtrkcad-cornu.dir/rule

# Convenience name for target.
xtrkcad-cornu: app/cornu/CMakeFiles/xtrkcad-cornu.dir/rule

.PHONY : xtrkcad-cornu

# fast build rule for target.
xtrkcad-cornu/fast:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/cornu/CMakeFiles/xtrkcad-cornu.dir/build.make app/cornu/CMakeFiles/xtrkcad-cornu.dir/build
.PHONY : xtrkcad-cornu/fast

bezctx.o: bezctx.c.o

.PHONY : bezctx.o

# target to build an object file
bezctx.c.o:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/cornu/CMakeFiles/xtrkcad-cornu.dir/build.make app/cornu/CMakeFiles/xtrkcad-cornu.dir/bezctx.c.o
.PHONY : bezctx.c.o

bezctx.i: bezctx.c.i

.PHONY : bezctx.i

# target to preprocess a source file
bezctx.c.i:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/cornu/CMakeFiles/xtrkcad-cornu.dir/build.make app/cornu/CMakeFiles/xtrkcad-cornu.dir/bezctx.c.i
.PHONY : bezctx.c.i

bezctx.s: bezctx.c.s

.PHONY : bezctx.s

# target to generate assembly for a file
bezctx.c.s:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/cornu/CMakeFiles/xtrkcad-cornu.dir/build.make app/cornu/CMakeFiles/xtrkcad-cornu.dir/bezctx.c.s
.PHONY : bezctx.c.s

bezctx_xtrkcad.o: bezctx_xtrkcad.c.o

.PHONY : bezctx_xtrkcad.o

# target to build an object file
bezctx_xtrkcad.c.o:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/cornu/CMakeFiles/xtrkcad-cornu.dir/build.make app/cornu/CMakeFiles/xtrkcad-cornu.dir/bezctx_xtrkcad.c.o
.PHONY : bezctx_xtrkcad.c.o

bezctx_xtrkcad.i: bezctx_xtrkcad.c.i

.PHONY : bezctx_xtrkcad.i

# target to preprocess a source file
bezctx_xtrkcad.c.i:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/cornu/CMakeFiles/xtrkcad-cornu.dir/build.make app/cornu/CMakeFiles/xtrkcad-cornu.dir/bezctx_xtrkcad.c.i
.PHONY : bezctx_xtrkcad.c.i

bezctx_xtrkcad.s: bezctx_xtrkcad.c.s

.PHONY : bezctx_xtrkcad.s

# target to generate assembly for a file
bezctx_xtrkcad.c.s:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/cornu/CMakeFiles/xtrkcad-cornu.dir/build.make app/cornu/CMakeFiles/xtrkcad-cornu.dir/bezctx_xtrkcad.c.s
.PHONY : bezctx_xtrkcad.c.s

spiro.o: spiro.c.o

.PHONY : spiro.o

# target to build an object file
spiro.c.o:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/cornu/CMakeFiles/xtrkcad-cornu.dir/build.make app/cornu/CMakeFiles/xtrkcad-cornu.dir/spiro.c.o
.PHONY : spiro.c.o

spiro.i: spiro.c.i

.PHONY : spiro.i

# target to preprocess a source file
spiro.c.i:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/cornu/CMakeFiles/xtrkcad-cornu.dir/build.make app/cornu/CMakeFiles/xtrkcad-cornu.dir/spiro.c.i
.PHONY : spiro.c.i

spiro.s: spiro.c.s

.PHONY : spiro.s

# target to generate assembly for a file
spiro.c.s:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/cornu/CMakeFiles/xtrkcad-cornu.dir/build.make app/cornu/CMakeFiles/xtrkcad-cornu.dir/spiro.c.s
.PHONY : spiro.c.s

spiroentrypoints.o: spiroentrypoints.c.o

.PHONY : spiroentrypoints.o

# target to build an object file
spiroentrypoints.c.o:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/cornu/CMakeFiles/xtrkcad-cornu.dir/build.make app/cornu/CMakeFiles/xtrkcad-cornu.dir/spiroentrypoints.c.o
.PHONY : spiroentrypoints.c.o

spiroentrypoints.i: spiroentrypoints.c.i

.PHONY : spiroentrypoints.i

# target to preprocess a source file
spiroentrypoints.c.i:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/cornu/CMakeFiles/xtrkcad-cornu.dir/build.make app/cornu/CMakeFiles/xtrkcad-cornu.dir/spiroentrypoints.c.i
.PHONY : spiroentrypoints.c.i

spiroentrypoints.s: spiroentrypoints.c.s

.PHONY : spiroentrypoints.s

# target to generate assembly for a file
spiroentrypoints.c.s:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/cornu/CMakeFiles/xtrkcad-cornu.dir/build.make app/cornu/CMakeFiles/xtrkcad-cornu.dir/spiroentrypoints.c.s
.PHONY : spiroentrypoints.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install/strip"
	@echo "... test"
	@echo "... package_source"
	@echo "... package"
	@echo "... rebuild_cache"
	@echo "... xtrkcad-cornu"
	@echo "... install/local"
	@echo "... install"
	@echo "... list_install_components"
	@echo "... bezctx.o"
	@echo "... bezctx.i"
	@echo "... bezctx.s"
	@echo "... bezctx_xtrkcad.o"
	@echo "... bezctx_xtrkcad.i"
	@echo "... bezctx_xtrkcad.s"
	@echo "... spiro.o"
	@echo "... spiro.i"
	@echo "... spiro.s"
	@echo "... spiroentrypoints.o"
	@echo "... spiroentrypoints.i"
	@echo "... spiroentrypoints.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/martin/XTrackCAD/src/work && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== app/doc/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.6

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/martin/XTrackCAD/src/work

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/martin/XTrackCAD/src/work

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local

.PHONY : install/local/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test

.PHONY : test/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/martin/XTrackCAD/src/work && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/martin/XTrackCAD/src/work && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/martin/XTrackCAD/src/work/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip

.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/martin/XTrackCAD/src/work && $(CMAKE_COMMAND) -E cmake_progress_start /home/martin/XTrackCAD/src/work/CMakeFiles /home/martin/XTrackCAD/src/work/app/doc/CMakeFiles/progress.marks
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 app/doc/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/martin/XTrackCAD/src/work/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 app/doc/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 app/doc/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 app/doc/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/martin/XTrackCAD/src/work && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
app/doc/CMakeFiles/help-html.dir/rule:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 app/doc/CMakeFiles/help-html.dir/rule
.PHONY : app/doc/CMakeFiles/help-html.dir/rule

# Convenience name for target.
help-html: app/doc/CMakeFiles/help-html.dir/rule

.PHONY : help-html

# fast build rule for target.
help-html/fast:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/doc/CMakeFiles/help-html.dir/build.make app/doc/CMakeFiles/help-html.dir/build
.PHONY : help-html/fast

# Convenience name for target.
app/doc/CMakeFiles/clean-html.dir/rule:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 app/doc/CMakeFiles/clean-html.dir/rule
.PHONY : app/doc/CMakeFiles/clean-html.dir/rule

# Convenience name for target.
clean-html: app/doc/CMakeFiles/clean-html.dir/rule

.PHONY : clean-html

# fast build rule for target.
clean-html/fast:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/doc/CMakeFiles/clean-html.dir/build.make app/doc/CMakeFiles/clean-html.dir/build
.PHONY : clean-html/fast

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install/local"
	@echo "... help-html"
	@echo "... test"
	@echo "... list_install_components"
	@echo "... clean-html"
	@echo "... rebuild_cache"
	@echo "... package"
	@echo "... package_source"
	@echo "... install"
	@echo "... install/strip"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/martin/XTrackCAD/src/work && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== app/dynstring/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.6

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/martin/XTrackCAD/src/work

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/martin/XTrackCAD/src/work

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip

.PHONY : install/strip/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/martin/XTrackCAD/src/work && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/martin/XTrackCAD/src/work/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/martin/XTrackCAD/src/work && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test

.PHONY : test/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local

.PHONY : install/local/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# The main all target
all: cmake_check_build_system
	cd /home/martin/XTrackCAD/src/work && $(CMAKE_COMMAND) -E cmake_progress_start /home/martin/XTrackCAD/src/work/CMakeFiles /home/martin/XTrackCAD/src/work/app/dynstring/CMakeFiles/progress.marks
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 app/dynstring/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/martin/XTrackCAD/src/work/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 app/dynstring/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 app/dynstring/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 app/dynstring/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/martin/XTrackCAD/src/work && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
app/dynstring/CMakeFiles/dynstring.dir/rule:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f CMakeFiles/Makefile2 app/dynstring/CMakeFiles/dynstring.dir/rule
.PHONY : app/dynstring/CMakeFiles/dynstring.dir/rule

# Convenience name for target.
dynstring: app/dynstring/CMakeFiles/dynstring.dir/rule

.PHONY : dynstring

# fast build rule for target.
dynstring/fast:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/dynstring/CMakeFiles/dynstring.dir/build.make app/dynstring/CMakeFiles/dynstring.dir/build
.PHONY : dynstring/fast

dynstring.o: dynstring.c.o

.PHONY : dynstring.o

# target to build an object file
dynstring.c.o:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/dynstring/CMakeFiles/dynstring.dir/build.make app/dynstring/CMakeFiles/dynstring.dir/dynstring.c.o
.PHONY : dynstring.c.o

dynstring.i: dynstring.c.i

.PHONY : dynstring.i

# target to preprocess a source file
dynstring.c.i:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/dynstring/CMakeFiles/dynstring.dir/build.make app/dynstring/CMakeFiles/dynstring.dir/dynstring.c.i
.PHONY : dynstring.c.i

dynstring.s: dynstring.c.s

.PHONY : dynstring.s

# target to generate assembly for a file
dynstring.c.s:
	cd /home/martin/XTrackCAD/src/work && $(MAKE) -f app/dynstring/CMakeFiles/dynstring.dir/build.make app/dynstring/CMakeFiles/dynstring.dir/dynstring.c.s
.PHONY : dynstring.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install/strip"
	@echo "... package_source"
	@echo "... package"
	@echo "... rebuild_cache"
	@echo "... test"
	@echo "... dynstring"
	@echo "... install/local"
	@echo "... install"
	@echo "... list_install_components"
	@echo "... dynstring.o"
	@echo "... dynstring.i"
	@echo "... dynstring.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/martin/XTrackCAD/src/work && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== debian/changelog ===
xtrkcad (1:5.1.1-2) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * New debian/patches/0100-messages_h.patch:
    - Fix FTBFS at mipsel.
  * debian/control:
    - Switch Vcs-* to new location.
  * Declare compliance with Debian Policy 4.1.5 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 11 Jul 2018 17:57:50 +0200

xtrkcad (1:5.1.1-1) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * New upstream release.
    - Refresh patches.
    - Remove upstream build artefacts.
  * Declare compliance with Debian Policy 4.1.4 (No changes needed).
  * README.source:
    - Add section to explain the branching model used.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 06 May 2018 10:26:16 +0200

=== debian/control ===
Source: xtrkcad
Section: editors
Priority: optional
Maintainer: Daniel E. Markle <dmarkle@ashtech.net>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Jörg Frings-Fürst <debian@jff.email>
Build-Depends:
 cmake,
 debhelper (>= 11),
 libgtk2.0-dev
Standards-Version: 4.1.5
Homepage: http://xtrkcad.org/
Vcs-Git: git://jff.email/opt/git/xtrkcad.git
Vcs-Browser: https://jff.email/cgit/xtrkcad.git/

Package: xtrkcad
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 xtrkcad-common (= ${source:Version})
Description: CAD program for designing model railroad layouts
 With XTrackCAD you can:
  Design layouts in any scale and gauge
  Use the predefined libraries for many popular brands of turnouts to
  help you get started easily
  Add your own favorite components
  Manipulate track much like you would with actual flex-track to modify
  extend and join tracks and turnouts
  Test your design by running trains, including picking them up and moving
  them with the mouse.
  At any point you can print the design in a scale of your choice. When
  printed in 1:1 scale the printout can be used as a template for laying
  the track to build your dream layout.
  Learning XTrackCAD is made easy with the extensive on-line help and
  demonstrations.

Package: xtrkcad-common
Architecture: all
Depends:
 ${misc:Depends}
Breaks:
 xtrkcad (<< 1:4.2.4a-1)
Replaces:
 xtrkcad (<< 1:4.2.4a-1)
Description: CAD program for designing model railroad layouts (common files)
 With XTrackCAD you can:
  Design layouts in any scale and gauge
  Use the predefined libraries for many popular brands of turnouts to
  help you get started easily
  Add your own favorite components
  Manipulate track much like you would with actual flex-track to modify
  extend and join tracks and turnouts
  Test your design by running trains, including picking them up and moving
  them with the mouse.
  At any point you can print the design in a scale of your choice. When
  printed in 1:1 scale the printout can be used as a template for laying
  the track to build your dream layout.
  Learning XTrackCAD is made easy with the extensive on-line help and
  demonstrations.
 .
 This package contains the demo, examples, parameter and the help files.
